/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controls;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;

/**
 *
 * @author stefano
 */
public class AnimatedLabel extends JLabel implements ActionListener {
    private float alpha = 1.f;
    private float dir = -0.5f;
    //private ArrayList<javax.swing.Timer> timers;
    private javax.swing.Timer timer;
    
    @Override
    public void setText(final String text) {
        //if (! text.equals(getText())) {
        if (timer != null)
            timer.stop();
        timer = new javax.swing.Timer(0, this);
        timer.setActionCommand(text);
        timer.setDelay(100);
        timer.start();
    }
    
    public void setTextImmediately(String text) {
        if (timer != null)
            timer.stop();
        setForeground(Color.black);
        super.setText(text);
    }

    public void actionPerformed(ActionEvent e) {
        if (alpha >= 0.)
            alpha += dir;
        if (alpha < 0) {
            dir *= -1;
            alpha = 0.01f;
            super.setText(e.getActionCommand());
        }
        
        if (alpha >= 1.f) {
            alpha = 1.f;
            dir *= -1;
            setForeground(Color.black);
            timer.stop();
        } else {
          setForeground(new Color(0.f, 0.f, 0.f, alpha));  
        }
    }
    
}
