/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controls;

import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

/**
 *
 * @author stefano
 */
public class Bezel extends JPanel {
    private static Color borderColor = new Color(178, 178, 178);
    private static Color c1 = new Color(237, 240, 226);
    private static Color c2 = new Color(230, 234, 215);
    private static Color c3 = new Color(223, 227, 201);
    private static Color c4 = new Color(243, 244, 226);
    
    @Override
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2 = (Graphics2D) g;
        g2.setColor(borderColor);
        
        Shape shape = new RoundRectangle2D.Double(0, 1, getWidth()-1, getHeight()-1, 6, 6);
        g2.setClip(shape);
        g2.setPaint(new GradientPaint(0, 0, c1, 0, (int) (0.5 * getHeight()), c2));
        g2.fillRect(0, 0, getWidth(), (int)(0.5 * getHeight()));
        g2.setPaint(new GradientPaint(0, (int) (0.5 * getHeight()), c3, 0, getHeight(), c4));
        g2.fillRect(0, (int)(0.5 * getHeight()), getWidth(), getHeight());
        
        g2.setPaint(null);
        g2.setColor(borderColor);
        g2.setClip(null);
        g2.draw(shape);
        shape = new RoundRectangle2D.Double(0, 0, getWidth()-1, getHeight()-1, 6, 6);
        g2.draw(shape);
        
    }
}
