/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package controls;

import java.awt.Color;
import javax.swing.JButton;

/**
 *
 * @author stefano
 */
public class JMacButton extends JButton {
	private String buttonType = "";
	private int pos = -2;
	private boolean small = false;

	public JMacButton(String caption) {
		super(caption);
	}

	public JMacButton() {
		super();
	}

	public void setSmall(boolean small) {
		this.small = small;
		if (small)
			putClientProperty("JComponent.sizeVariant", "small");
		else
			putClientProperty("JComponent.sizeVariant", "regular");
	}

	public boolean isSmall() {
		return small;
	}
	public void setButtonType(String bt) {
		buttonType = bt;
		updateButton();
	}
	private void updateButton() {
		if (buttonType.equals(""))
			return;

		
		this.putClientProperty("JButton.buttonType", buttonType);
		
		if (pos == -1)
			this.putClientProperty("JButton.segmentPosition", "only");
		else if (pos == 0)
			this.putClientProperty("JButton.segmentPosition", "first");
		else if (pos == 1)
			this.putClientProperty("JButton.segmentPosition", "middle");
		else if (pos == 2)
			this.putClientProperty("JButton.segmentPosition", "last");

	}
	
	public String getButtonType() {
		return buttonType;
	}
	
	public void setSegmentPosition(int pos) {
		this.pos = pos;
		updateButton();
	}
	public int getSegmentPosition() {
		return pos;
	}
	@Override
	public void setSelected(boolean sel) {
		super.setSelected(sel);
		if (buttonType.contains("extured"))
			setForeground((isSelected() ? Color.WHITE : Color.BLACK));

	}

	private boolean segmented = false;
	public void setSegmented(boolean s) {
		segmented = s;
		updateButton();
	}

	public boolean isSegmented() {
		return segmented;
	}
}
