/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package editing;

import java.awt.*;

/**
 *
 * @author stefano
 */
public class TextAttr {
	public int style = Font.PLAIN;
	public Color color = Color.BLACK;

	public TextAttr(Color color, int style) {
		this.style = style;
		this.color = color;
	}

	public TextAttr(Color color) {
		this.color = color;
	}

	public TextAttr(int style) {
		this.style = style;
	}


	public void set(TextAttr copy) {
		style = copy.style;
		color = copy.color;
	}

	public static TextAttr fromString(String str) {
		String[] comp = str.split(",");
		Color c = Color.BLACK;
		int s = Font.PLAIN;
		try {
			c = Color.decode(comp[0]);
			s = Integer.valueOf(comp[1]);
		} catch (Exception e) {};
		return new TextAttr(c, s);
	}

	public static void fromString(String str, TextAttr dest) {
		try {
			String[] comp = str.split(",");

			Color c = Color.decode(comp[0]);
			int s = Integer.valueOf(comp[1]);
			dest.color = c;
			dest.style = s;
		} catch (Exception e) {};
	}
}
