/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package plotting;

import java.awt.*;

/**
 *
 * @author stefano
 */
public class LabelProp {
    private String text = "";
    private Color color = Color.BLACK;
    private int pad = 25;

    public int getPad() {
        return pad;
    }

    public void setPad(int pad) {
        this.pad = pad;
    }

    public Color getColor() {
        return color;
    }

    public void setColor(Color c) {
        color = c;
    }

    public Font getFont() {
        return font;
    }

    public void setFont(Font font) {
        this.font = font;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public void setBold() {
        font = font.deriveFont(Font.BOLD);
    }
    
    private Font font;
    private String position;
    
    public static String NORTHEAST = "NORTHEAST";
    public static String NORTH = "NORTH";
    public static String NORTHWEST = "NORTHWEST";

    public static String SOUTHEAST = "SOUTHEAST";
    public static String SOUTH = "SOUTH";
    public static String SOUTHWEST = "SOUTHWEST";


    public LabelProp(String txt, String pos) {
        text = txt;
        font = new Font("Helvetica", Font.PLAIN, 13);
        position = pos;
    }

    public LabelProp(String txt, double x, double y) {
        text = txt;
        font = new Font("Helvetica", Font.PLAIN, 13);
        position = Double.toString(x) + ":" + Double.toString(y);
    }

    
}
