package repl;
public class Defs {
	public static double VERSION = 1.1007;
	public static int T_RV = 0;
	public static int T_PHOTO = 1;
	public static int T_TIMING = 2;
	public static int DATA_SIZE = 11;
	public static int T_TIME = 0;
	public static int T_VAL = 1;
	public static int T_ERR = 2;
	public static int T_TDS_PLANET = 3;
	public static int T_FLAG = 6;
	public static int T_SVAL = 7;
	public static int T_PRED = 8;
	public static int T_SET = 9;
	public static int T_GUI = 10;
	public static int X = 1;
	public static int Y = 2;
	public static int Z = 3;
	public static int VX = 4;
	public static int VY = 5;
	public static int VZ = 6;
	public static int STAT_MEAN = 0;
	public static int STAT_MEDIAN = 1;
	public static int STAT_STDDEV = 2;
	public static int STAT_QUART_25 = 25;
	public static int STAT_QUART_50 = 50;
	public static int STAT_QUART_75 = 75;
	public static int KEPLER = 0;
	public static int RK5 = 1;
	public static int RK8 = 2;
	public static int SWIFT_BS = 3;
	public static int SWIFT_WHM = 4;
	public static int SWIFT_RMVS3 = 5;
	public static double MSUN = 1.98892e33;
	public static double MJUP = 1.8986e30;
	public static double RJUP = 7.1e9;
	public static double GGRAV = 6.67384e-8;
	public static int DAY = 86400;
	public static double YEAR = 31556926.;
	public static int PER = 0;
	public static int MASS = 1;
	public static int MA = 2;
	public static int ECC = 3;
	public static int LOP = 4;
	public static int INC = 5;
	public static int NODE = 6;
	public static int ORD = 14;
	public static int RADIUS = 7;
	public static int SMA = 8;
	public static int SEMIAMP = 9;
	public static int ECCANOMALY = 15;
	public static int TRUEANOMALY = 16;
	public static int ELEMENTS_SIZE = 15;
	public static int ALL_ELEMENTS_SIZE = 17;
	public static int TREND = 8;
	public static int NOISE = 9;
	public static int PARAMS_SIZE = 15;
	public static int OPT_SIMPLEX_EPS = 0;
	public static int OPT_ECC_LAST = 1;
	public static int PROGRESS_CONTINUE = 0;
	public static int PROGRESS_STOP = 1;
	public static int DONE = -1;
	public static int SIMPLEX = 0;
	public static int OK_SUCCESS = 0;
	public static int OK_NOCONV = 1;
	public static int PS_TIME = 0;
	public static int PS_Z = 1;
	public static int PS_FAP = 2;
	public static int PS_Z_LS = 3;
	public static int PS_TAU = 4;
	public static int PS_SIZE = 6;
	public static int ACTIVE = 2;
	public static int MINIMIZE = 4;
	public static int NEEDS_COMPILE = 2;
	public static int NEEDS_SETUP = 4;
	public static int BOOTSTRAP_DATA = 8;
	public static int RETAIN = 16;
	public static int SHARE_FLAGS = 32;
	public static int SHARE_STEPS = 64;
	public static int SHARE_DATA = 128;
	public static int FREED = 256;
	public static int DUPLICATE = 512;
}
