function deps(lib)
	local p = io.popen("otool -X -L " .. lib)
	local t = {}
	for l in p:lines() do
		t[#t+1] = l:match("%s+([^%(]+)")
	end
	p:close()
	return t
end

function bn(fn)
	return fn:match("([^/]+)$")
end	

function xf(fmt, ...)
	local s = string.format(fmt, ...)
	print(s)
	os.execute(s)
end

local f = string.format

local libs = {"libsystemic.dylib"}
local done = {}

while #libs > 0 do
	local d = deps(libs[1])
	print("Doing " .. libs[1])
	for i = 1, #d do
		if not d[i]:find("/usr/lib") and d[i]:find("/") and not d[i]:find("%./") then
			xf("cp -n %s ./local/lib", d[i])
			
			if bn(d[i]) == bn(libs[1]) then
				xf("install_name_tool %s -id ./local/lib/%s", libs[1], bn(d[i]))
			else
				xf("install_name_tool %s -change %s ./local/lib/%s", libs[1], d[i], bn(d[i]))
			end
			if not done[bn(d[i])] then
				libs[#libs+1] = "./local/lib/" .. bn(d[i])
			end
		end
	end
	done[bn(libs[1])] = true
	table.remove(libs, 1)
end