/* 
 * File:   kl.h
 * Author: stefano
 *
 * Created on March 1, 2012, 1:13 PM
 */

#ifndef KL_H
#define	KL_H

#ifdef	__cplusplus
extern "C" {
#endif
#include "systemic.h"
    
    ok_list* KL_alloc(int size);
    void KL_free(ok_list* list);

    gsl_vector* KL_getElements(ok_list* kl, int pl, int el);
    gsl_vector* KL_getPars(ok_list* kl, int vo);
    gsl_matrix* KL_getElementsStats(ok_list* kl, int what);
    unsigned int KL_getSize(ok_list* kl);
    void KL_removeAtIndex(ok_list* kl, unsigned int idx);
    void KL_fprintf(ok_list* kl, FILE* out, char* fmt, char* lfmt);
#ifdef	__cplusplus
}
#endif

#endif	/* KL_H */

