/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package controls;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.ImageIcon;
import javax.swing.Timer;

/**
 *
 * @author stefano
 */
abstract public class Animate  {
	private javax.swing.Timer timer;
	private ImageIcon[] icons;
	private int frame = 0;
	public Animate(ImageIcon[] iconsArr, int seconds) {
		this.icons = iconsArr;
		timer = new Timer(seconds, new ActionListener () {
			public void actionPerformed(ActionEvent e) {
				animate();
				frame++;
				if (frame >= icons.length)
					frame = 0;
			}
		});
		timer.setInitialDelay(1000);
		timer.start();
	}

	abstract public void animate();

	public ImageIcon getImage() {
		return icons[frame];
	}

	public void stop() {
		timer.stop();
	}

	public boolean isActive() {
		return timer.isRunning();
	}

}
