/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package repl;

import java.util.logging.*;
import java.util.prefs.*;

/**
 *
 * @author stefano
 */
public class Prefs {
    private static Preferences prefs = Preferences.userNodeForPackage(Prefs.class);
    
    public static void setValue(String key, String value) {
        try {
            prefs.put(key, value);
            prefs.flush();
        } catch (BackingStoreException ex) {
            Logger.getLogger(Prefs.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
    public static String getValue(String key, String def) {
        return prefs.get(key, def);
    }
    
    public static Boolean getValue(String key, boolean def) {
        return prefs.getBoolean(key, def);
    }
}
