
package structs;


public class Constants {
    public static final int OESIZE = 9; // all orbital elements; used to reserve the appropriate size for arrays
    public static int OEACTIVE = 5; // active orbital parameters (for ChiSqr)
    public static final String[] OENAMES = { "Period", "Mass", "Mean Anomaly", "Eccentricity", "Long Peri", "Inclination", "Node", "Rp", "N"};
    public static final String[] OEUNITS = { "days", "Mj", "deg", "", "deg", "deg", "deg", "Rj", ""};


    public static double lambda = 1;
}
