/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package utils;

import java.io.*;
import java.net.*;
import java.util.*;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;

/**
 *
 * @author Ste
 */
public class RetrieveSys {
    protected String identifier;
    protected String velsLastUpdated;
    protected String velsOnBackend;
    static private String baseURL = "http://207.111.201.70/b541bb2918789083335f7432faf94f717ff8fbbdn/vogtb/";
    static private String authentication;
    
    public RetrieveSys() {
        Calendar cal = GregorianCalendar.getInstance();
        int day = cal.get(cal.DAY_OF_MONTH);
        int month = cal.get(cal.MONTH)+1;
        int hour = cal.get(cal.HOUR_OF_DAY)+1;
        
        int ran1 = (int)Math.round(Math.random() * 1e6);
        int ran2 = (int)Math.round(Math.random() * 1e6);
        int id = 2 * day * day * month * hour * hour * (int)(1000/(1+month*day))+ 100;
        identifier = String.format("%06d%06d%06d", ran1, id, ran2);
        velsLastUpdated = FileUtils.get_contents("resources/vels_lastupdated");
        String up = "private:ferrari";
        authentication = new sun.misc.BASE64Encoder().encode(up.getBytes());
        FileUtils.authentication = authentication;
        
        if (velsLastUpdated == null)
            velsLastUpdated = "0";
    }
    
    public boolean requiresVelsUpdate() {
        velsOnBackend = FileUtils.url_get_contents(baseURL + "php/bridge.php?what=vels&identifier=" + identifier).trim();
        
        if ((velsOnBackend == null) || (velsOnBackend.equals(""))) {
            JOptionPane.showMessageDialog(null, "Could not connect to the backend.");
	    return false;
        }
        if (velsOnBackend.equals("-1"))
            return false;
        
        return !(velsOnBackend.trim().equals(velsLastUpdated.trim()));
        
    }
    
    public int downloadVelsUpdate() {
        BufferedOutputStream os = null;
        int readBytes = -1;
        
        try {
            os = new BufferedOutputStream(new FileOutputStream(new File("vels.tar.gz")));
            readBytes = FileUtils.url_get_binary(baseURL + "php/bridge.php?what=downloadvels&identifier=" + identifier, os);
            os.flush();
            
            Process p = Runtime.getRuntime().exec("tar -xvzf vels.tar.gz");
            DataInputStream in = new DataInputStream(p.getInputStream());
            String str = "";
            while ((str = in.readLine())!= null) {
                System.out.println(str);
            }
            
        } catch (Exception ex) {
            Logger.getLogger(RetrieveSys.class.getName()).log(Level.SEVERE, null, ex);
            return -1;
        } finally {
            try {
                os.close();
                FileUtils.put_contents("resources/vels_lastupdated", velsOnBackend);
            } catch (IOException ex) {
                Logger.getLogger(RetrieveSys.class.getName()).log(Level.SEVERE, null, ex);
            }
            
            return readBytes;
        }
        
    }
    
    public int downloadFits() {
        BufferedOutputStream os = null;
        int readBytes = -1;
        try {
            new File("fits/backend").mkdir();
            os = new BufferedOutputStream(new FileOutputStream(new File("fits/backend/fits.tar.gz")));
            readBytes = FileUtils.url_get_binary(baseURL + "php/bridge.php?what=downloadfits&identifier=" + identifier, os);
            os.flush();
            
            Process p = Runtime.getRuntime().exec("tar -C fits/backend -xvzf fits/backend/fits.tar.gz");
            DataInputStream in = new DataInputStream(p.getInputStream());
            String str = "";
            while ((str = in.readLine())!= null) {
                System.out.println(str);
            }
            
        } catch (Exception ex) {
            ex.printStackTrace();
            Logger.getLogger(RetrieveSys.class.getName()).log(Level.SEVERE, null, ex);
            return -1;
        } finally {
            try {
                os.close();
            } catch (IOException ex) {
                Logger.getLogger(RetrieveSys.class.getName()).log(Level.SEVERE, null, ex);
            }
            
            return readBytes;
        }
        
    }
    
    public static void main(String[] args) {
        RetrieveSys sys = new RetrieveSys();
        System.out.println(sys.requiresVelsUpdate());
        
        if (sys.requiresVelsUpdate()) {
            System.out.println(sys.downloadVelsUpdate());
        }
        
    }
    
    
}
