/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package utils;

/**
 *
 * @author stefano
 */
public class Table {
    private double[][] table;
    private int capacity = 16;
    private int size = 0;
    
    public Table() {
        
        table = new double[16][];
    }
    
    public double[] get(int row) {
        return table[row];
    }
    
    public double get(int row, int column) {
        return table[row][column];
    }
    
    public void add(double[] row) {
        table[size] = row;
        size++;
        if (size >= capacity) {
            int ncapacity = capacity * 2;
            double[][] t = new double[ncapacity][];
            for (int i = 0; i < capacity; i++)
                t[i] = table[i];
            table = t;
            capacity *= 2;
        }
    }
    
    public double[][] toArray() {
        double[][] t = new double[size][];
        for (int i = 0; i < size; i++)
            t[i] = table[i];
        return t;
    }
    
}
